## ros-noetic-robot-nav-viz-demos 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(robot_nav_viz_demos)
set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11;-Wall;-Werror")

find_package(catkin REQUIRED COMPONENTS
    angles
    color_util
    geometry_msgs
    nav_2d_msgs
    nav_2d_utils
    nav_grid
    nav_grid_iterators
    nav_grid_pub_sub
    pluginlib
    robot_nav_rviz_plugins
    roscpp
    rviz
)

set(CMAKE_AUTOMOC ON)

find_package(Qt5 REQUIRED COMPONENTS
  Core
  Widgets
)
set(QT_LIBRARIES Qt5::Widgets)

add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
    CATKIN_DEPENDS
        angles
        color_util
        geometry_msgs
        nav_2d_msgs
        nav_2d_utils
        nav_grid
        nav_grid_iterators
        nav_grid_pub_sub
        pluginlib
        robot_nav_rviz_plugins
        roscpp
        rviz
    LIBRARIES demo_palettes spectrum_display
    INCLUDE_DIRS include
)

include_directories(include ${catkin_INCLUDE_DIRS})

qt5_wrap_cpp(MOC_FILES
  include/robot_nav_viz_demos/spectrum_display.h
)

add_library(spectrum_display
    src/spectrum_display.cpp
    ${MOC_FILES}
)
add_dependencies(spectrum_display ${catkin_EXPORTED_TARGETS})
target_link_libraries(spectrum_display ${QT_LIBRARIES} ${catkin_LIBRARIES})

add_library(demo_palettes src/demo_palettes.cpp)
target_link_libraries(demo_palettes ${catkin_LIBRARIES})

add_executable(pong src/pong.cpp)
target_link_libraries(pong ${catkin_LIBRARIES})

add_executable(named_colors_demo src/named_colors_demo.cpp)
target_link_libraries(named_colors_demo ${catkin_LIBRARIES})

add_executable(polygon src/polygon_display.cpp)
add_dependencies(polygon ${catkin_EXPORTED_TARGETS})
target_link_libraries(polygon ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch roslint)
  roslint_cpp()
  roslint_add_test()
  roslaunch_add_file_check(launch)
endif()

install(TARGETS demo_palettes spectrum_display
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(FILES robot_nav_rviz_plugins.xml rviz_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES data/demo_grids.bag data/demo_grids.rviz data/demo_polygons.rviz data/named_colors_demo.rviz data/spectrum.rviz
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/data
)
install(TARGETS pong named_colors_demo polygon
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES launch/grid_demo.launch launch/named_colors_demo.launch launch/polygons.launch launch/spectrum_demo.launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-robot-nav-viz-demos (0.3.0-2focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 11 Dec 2020 20:51:55 -0000

=== debian/control ===
Source: ros-noetic-robot-nav-viz-demos
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-angles, ros-noetic-catkin, ros-noetic-color-util, ros-noetic-geometry-msgs, ros-noetic-nav-2d-msgs, ros-noetic-nav-2d-utils, ros-noetic-nav-grid, ros-noetic-nav-grid-iterators, ros-noetic-nav-grid-pub-sub, ros-noetic-pluginlib, ros-noetic-robot-nav-rviz-plugins, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-roslint, ros-noetic-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-robot-nav-viz-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-angles, ros-noetic-color-util, ros-noetic-geometry-msgs, ros-noetic-nav-2d-msgs, ros-noetic-nav-2d-utils, ros-noetic-nav-grid, ros-noetic-nav-grid-iterators, ros-noetic-nav-grid-pub-sub, ros-noetic-pluginlib, ros-noetic-robot-nav-rviz-plugins, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-rviz
Description: Demos for testing/demonstrating the robot_nav_rviz_plugins and color_util packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-robot-nav-viz-demos//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
